Bank list
API reference
Returns a list of bank IDs for all banks that are participating in the sweeps program. Use the Identify bank call to get the name of a specific bank according to its ID.
Endpoint: SweepsIntrafi/v1/Banks
GET
https://sandbox.crbcos.com/SweepsIntrafi/v1/Banks
Response
- resultsobjectDescription
- bankNumberintegerDescription
- namestringDescription
- abaNumberstringDescription
- effectiveDatestringDescription
- lastModifiedAtstringDescription
curl
curl --location 'https://sandbox.crbcos.com/SweepsIntrafi/v1/Banks' \
--header 'Authorization: Bearer <token>' \
--header 'Accept: application/json'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'GET',
'hostname': 'sandbox.crbcos.com',
'path': '/SweepsIntrafi/v1/Banks',
'headers': {
'Authorization': 'Bearer <token>',
'Accept': 'application/json'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
req.end();python
import requests
url = "https://sandbox.crbcos.com/SweepsIntrafi/v1/Banks"
payload = {}
headers = {
'Authorization': 'Bearer <token>',
'Accept': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/SweepsIntrafi/v1/Banks")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer <token>"
request["Accept"] = "application/json"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/SweepsIntrafi/v1/Banks"
method := "GET"
client := &http.Client {
}
req, err := http.NewRequest(method, url, nil)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"results": [
{
"bankNumber": "0",
"name": "Help Desk Test Bank",
"abaNumber": "000000000",
"effectiveDate": "2025-01-13T00:00:00-05:00",
"lastModifiedAt": "2025-01-13T16:34:20.6938884-05:00"
},
{
"bankNumber": "1",
"name": "American Challenger Bank",
"abaNumber": "123456789",
"effectiveDate": "2025-01-13T00:00:00-05:00",
"lastModifiedAt": "2025-01-13T16:34:20.6254624-05:00"
},
{
"bankNumber": "10004",
"name": "Farmers State Bank",
"abaNumber": "075903763",
"effectiveDate": "2025-01-13T00:00:00-05:00",
"lastModifiedAt": "2025-01-13T16:34:20.6822623-05:00"
},
{
"bankNumber": "10007",
"name": "Partnership Bank",
"abaNumber": "075902272",
"effectiveDate": "2025-01-13T00:00:00-05:00",
"lastModifiedAt": "2025-01-13T16:34:20.7797733-05:00"
},
{
"bankNumber": "10011",
"name": "Woodford State Bank",
"abaNumber": "075908920",
"effectiveDate": "2025-01-13T00:00:00-05:00",
"lastModifiedAt": "2025-01-13T16:34:20.8010813-05:00"
},
{
"bankNumber": "10012",
"name": "Portage County Bank",
"abaNumber": "075904377",
"effectiveDate": "2025-01-13T00:00:00-05:00",
"lastModifiedAt": "2025-01-13T16:34:20.7816612-05:00"
},
{
"bankNumber": "10015",
"name": "Security Bank",
"abaNumber": "091806242",
"effectiveDate": "2025-01-13T00:00:00-05:00",
"lastModifiedAt": "2025-01-13T16:34:20.7851783-05:00"
},
{
"bankNumber": "1003",
"name": "Chemical Bank",
"abaNumber": "072410013",
"effectiveDate": "2025-01-13T00:00:00-05:00",
"lastModifiedAt": "2025-01-13T16:34:20.6337165-05:00"
},
{
"bankNumber": "10044",
"name": "National Exchange Bank and Trust",
"abaNumber": "075900766",
"effectiveDate": "2025-01-13T00:00:00-05:00",
"lastModifiedAt": "2025-01-13T16:34:20.7015381-05:00"
},
{
"bankNumber": "10045",
"name": "Cornerstone Bank, Inc.",
"abaNumber": "051502175",
"effectiveDate": "2025-01-13T00:00:00-05:00",
"lastModifiedAt": "2025-01-13T16:34:20.6787167-05:00"
}
],
"pageNumber": 1,
"pageSize": 10,
"hasPreviousPage": false,
"hasNextPage": true
}